//////////////////////////////////////
//////////////  Skybox ///////////////
//////////////////////////////////////

textures/ahmad-jumps_b1/ahmad_sky
{
	qer_editorimage env/ahmad-jumps_b1/ahmad_sky_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 6 180 60
	q3map_surfacelight 200
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/ahmad-jumps_b1/ahmad_sky 256 -
}


//////////////////////////////////////
////////////  Structural /////////////
//////////////////////////////////////

///// Bricks /////

textures/ahmad-jumps_b1/brick_trim
{
	qer_editorimage "textures/ahmad-jumps_b1/brick_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/brick_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/brick_1
{
	qer_editorimage "textures/ahmad-jumps_b1/brick_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/brick_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/brick_2
{
	qer_editorimage "textures/ahmad-jumps_b1/brick_2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/brick_2.tga"
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ahmad-jumps_b1/brick_3
{
	qer_editorimage "textures/ahmad-jumps_b1/brick_3.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/brick_3.tga"
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ahmad-jumps_b1/brick_4
{
	qer_editorimage "textures/ahmad-jumps_b1/brick_4.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/brick_4.tga"
	}
	{
		map $lightmap
		blendFunc filter
	}
}

///// Stone /////

///// Rock /////

textures/ahmad-jumps_b1/rock_1
{
	qer_editorimage "textures/ahmad-jumps_b1/rock_1.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/rock_1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/rock_1_hl
{
	qer_editorimage "textures/ahmad-jumps_b1/rock_1.tga"
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm detail
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map "textures/ahmad-jumps_b1/rock_1.jpg"
		blendFunc filter
	}
}

textures/ahmad-jumps_b1/rock_2
{
	qer_editorimage "textures/ahmad-jumps_b1/rock_2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/rock_2.tga"
	}
	{
		map $lightmap
		blendFunc filter
	}
}

///// Wood /////

textures/ahmad-jumps_b1/wood_1
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_2
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_3
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_4
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_5
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_5.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_6
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_6.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_6.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_7
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_7.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_7.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_8
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_8.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_8.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/wood_9
{
	qer_editorimage "textures/ahmad-jumps_b1/wood_9.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/wood_9.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/bark_1
{
	qer_editorimage "textures/ahmad-jumps_b1/bark_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/bark_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/bark_2
{
	qer_editorimage "textures/ahmad-jumps_b1/bark_2.tga"
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map "textures/ahmad-jumps_b1/bark_2.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// concrete /////

textures/ahmad-jumps_b1/concrete_1
{
	qer_editorimage "textures/ahmad-jumps_b1/concrete_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/concrete_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/ahmad-jumps_b1/concrete_2
{
	qer_editorimage "textures/ahmad-jumps_b1/concrete_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/concrete_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/concrete_3
{
	qer_editorimage "textures/ahmad-jumps_b1/concrete_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/concrete_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/concrete_4
{
	qer_editorimage "textures/ahmad-jumps_b1/concrete_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/concrete_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// soil /////

textures/ahmad-jumps_b1/soil_1
{
	qer_editorimage "textures/ahmad-jumps_b1/soil_1.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/soil_1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/soil_2
{
	qer_editorimage "textures/ahmad-jumps_b1/soil_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/soil_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/ahmad-jumps_b1/soil_3
{
	qer_editorimage "textures/ahmad-jumps_b1/soil_3.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/soil_3.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/soil_4
{
	qer_editorimage "textures/ahmad-jumps_b1/soil_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/soil_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/soil_5
{
	qer_editorimage "textures/ahmad-jumps_b1/soil_5.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/soil_5.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/snow_land
{
	qer_editorimage "textures/ahmad-jumps_b1/snow_land.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/snow_land.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// House /////

textures/ahmad-jumps_b1/house_door
{
	qer_editorimage "textures/ahmad-jumps_b1/house_door.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/house_door.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/house_window_1
{
	qer_editorimage "textures/ahmad-jumps_b1/house_window_1.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/house_window_1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/house_window_2
{
	qer_editorimage "textures/ahmad-jumps_b1/house_window_2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/house_window_2.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/house_wall_1
{
	qer_editorimage "textures/ahmad-jumps_b1/house_wall_1.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/house_wall_1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/house_wall_2
{
	qer_editorimage "textures/ahmad-jumps_b1/house_wall_2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/house_wall_2.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/house_fence
{
	qer_editorimage "textures/ahmad-jumps_b1/house_fence.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/house_fence.tga"
	}
	{
		map $lightmap
		blendFunc filter
	}
}


//////////////////////////////////////
//////////////  Misc  ////////////////
//////////////////////////////////////

///// Plants /////

textures/ahmad-jumps_b1/plant_vine1
{
	qer_editorimage textures/ahmad-jumps_b1/plant_vine1.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/ahmad-jumps_b1/plant_vine1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ahmad-jumps_b1/plant_vine2
{
	qer_editorimage textures/ahmad-jumps_b1/plant_vine2.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/ahmad-jumps_b1/plant_vine2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ahmad-jumps_b1/plant_vine3
{
	qer_editorimage textures/ahmad-jumps_b1/plant_vine3.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/ahmad-jumps_b1/plant_vine3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ahmad-jumps_b1/grass_1
{
	qer_editorimage "textures/ahmad-jumps_b1/grass_1.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/grass_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/grass_1_hl
{
	qer_editorimage "textures/ahmad-jumps_b1/grass_1.jpg"
	qer_trans 0.5
	surfaceparm detail
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map "textures/ahmad-jumps_b1/grass_1.jpg"
		blendFunc filter
	}
}

///// Flames /////

textures/ahmad-jumps_b1/Flame
{
	qer_editorimage textures/ahmad-jumps_b1/Flameball.tga
     q3map_surfacelight 1500
     surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		animMap 10 textures/ahmad-jumps_b1/Flame1.tga textures/ahmad-jumps_b1/Flame2.tga textures/ahmad-jumps_b1/Flame3.tga textures/ahmad-jumps_b1/Flame4.tga textures/ahmad-jumps_b1/Flame5.tga textures/ahmad-jumps_b1/Flame6.tga textures/ahmad-jumps_b1/Flame7.tga textures/ahmad-jumps_b1/Flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/ahmad-jumps_b1/Flame2.tga textures/ahmad-jumps_b1/Flame3.tga textures/ahmad-jumps_b1/Flame4.tga textures/ahmad-jumps_b1/Flame5.tga textures/ahmad-jumps_b1/Flame6.tga textures/ahmad-jumps_b1/Flame7.tga textures/ahmad-jumps_b1/Flame8.tga textures/ahmad-jumps_b1/Flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ahmad-jumps_b1/Flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

///// Logos /////

textures/ahmad-jumps_b1/logo_fun
{
	qer_editorimage "textures/ahmad-jumps_b1/logo_fun.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/logo_fun.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/logo_urtj
{
	qer_editorimage "textures/ahmad-jumps_b1/logo_urtj.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/logo_urtj.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// Books /////

textures/ahmad-jumps_b1/book_1
{
	qer_editorimage "textures/ahmad-jumps_b1/book_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/book_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/book_2
{
	qer_editorimage "textures/ahmad-jumps_b1/book_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/book_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/ahmad-jumps_b1/book_3
{
	qer_editorimage "textures/ahmad-jumps_b1/book_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/book_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ahmad-jumps_b1/book_4
{
	qer_editorimage "textures/ahmad-jumps_b1/book_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/ahmad-jumps_b1/book_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//////////////////////////////////////
/////////////  Liquids  //////////////
//////////////////////////////////////

///// Water /////

textures/ahmad-jumps_b1/water_1
{
	q3map_globaltexture
	qer_editorimage textures/ahmad-jumps_b1/water_1.jpg
	qer_trans 0.50
	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	q3map_surfacelight 400
	q3map_lightRGB 0 0.632197 1
	q3map_lightSubdivide 512
	q3map_lightimage textures/ahmad-jumps_b1/water_1.jpg

	{
		map textures/ahmad-jumps_b1/water_1.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll 0.1 0.2
	}
	{
		map textures/ahmad-jumps_b1/water_1.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll -0.2 0.02
	}
}

